Bug 221898 - [patch] adapt net/freerdp1 to new 'armv7' architecture
Summary: [patch] adapt net/freerdp1 to new 'armv7' architecture
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: Mark Linimon
URL:
Keywords: patch
Depends on:
Blocks:
 
Reported: 2017-08-29 12:14 UTC by Mark Linimon
Modified: 2017-09-09 16:51 UTC (History)
0 users

See Also:
kevans: maintainer-feedback+


Attachments
patch to net/freerdp1 (1004 bytes, patch)
2017-08-29 12:14 UTC, Mark Linimon
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Mark Linimon freebsd_committer freebsd_triage 2017-08-29 12:14:09 UTC
Created attachment 185866 [details]
patch to net/freerdp1

The src tree is splitting 32-bit arm support into 'armv6' and the new 'armv7'.  This patch adds armv7 support.  It should provide no regression on any existing architecture.
Comment 1 commit-hook freebsd_committer 2017-09-01 14:56:17 UTC
A commit references this bug:

Author: linimon
Date: Fri Sep  1 14:55:47 UTC 2017
New revision: 449084
URL: https://svnweb.freebsd.org/changeset/ports/449084

Log:
  The src tree is splitting 32-bit arm support into 'armv6' and the new
  'armv7'.  This patch adds armv7 support.  It should provide no regression
  on any existing architecture.

  PR:		221898
  Approved by:	maintainer

Changes:
  head/net/freerdp1/Makefile
Comment 2 Mark Linimon freebsd_committer freebsd_triage 2017-09-01 15:02:56 UTC
Committed, thanks.
Comment 3 Jan Beich freebsd_committer 2017-09-01 15:48:26 UTC
Comment on attachment 185866 [details]
patch to net/freerdp1

>  OPTIONS_DEFINE_armv6=	NEON
> +OPTIONS_DEFINE_armv7=	NEON

Does armv7 (on FreeBSD) support NEON by default? If so adjust _DEFAULT options to not pessimize the binary package.
Comment 4 Mark Linimon freebsd_committer freebsd_triage 2017-09-09 16:51:17 UTC
(In reply to Jan Beich from comment #3)

I am currently traveling for the next few weeks and so someone else will need to investigate that.